{{ header }}{{ column_left }}
<div id="content">
    <div class="page-header">
    </div>
    <div class="container-fluid"> {% if success %}
            <div class="alert alert-success alert-dismissible"><i class="fa fa-check-circle"></i> {{ success }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error %}
            {% for error_message in error %}
                <div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> {{ error_message }}</div>
            {% endfor %}
        {% endif %}

            <div class="panel-body">

                <div class="col-12 api_type_wrap pt-1"><div class="api_type_content api_type_1" data-api-type="1" data-step-no="5" style="display: block;">
                        <div class="row">
                            <div class="col-12">
                                <h1 class="font-weight-bolder text-primary text-center">Pazaryeri ve API Bilgileri</h1>
                                <h4 class="text-center">Lütfen kullanmak istediğiniz pazaryerlerini seçiniz ve API bilgilerini giriniz.</h4>
                            </div>
                        </div>



                        <div class="row pr-5 pl-5 justify-content-center api_list_wrap">

                            {% for marketplace in marketplaces %}
                            <div class="col-12 col-sm-6 col-md-2 col-lg-3 col-xl-2 mt-1 mb-1 {% if marketplace.is_registered %} active {% else %} passive {% endif %}  ">
                                {% if marketplace.is_registered %} <i  class="fa fa-check fa-3x ontopleft"></i> {% endif %}
                                <div class="api_wrap rounded-lg border border-2 " data-api-code="{{ marketplace.code }}">
                                    <img src="{{ marketplace.image }}" class="img-fluid img-thumbnail" alt="n11">
                                    <div class="api_hover rounded-lg">
                                        <div  class="api_connect text-center">

                                            {% if marketplace.is_registered %}
                                            <div code="{{ marketplace.code }}"  class="api_connect text-center">

                                            <button code="{{ marketplace.code }}" style="margin-right: 3px" data-toggle="tooltip" title="{{ marketplace.name }}  Mağazanızdaki ürünleri  sitenize aktarır."    class="btn btn-default btnDown" data-loading-text="<i class='fa fa-spinner fa-spin '></i>"> <i class="fa fa-download"></i></button>
                                                <button code="{{ marketplace.code }}" style="margin-right: 3px" data-toggle="tooltip" title="{{ marketplace.name }} Mağazanızdaki ürünlerle sitenizdeki ürünleri eşleştirir."    class="btn btn-default  btnGetProducts" data-loading-text="<i class='fa fa-spinner fa-spin '></i>"> <i class="fa fa-refresh"></i></button>
                                                <button code="{{ marketplace.code }}" data-toggle="tooltip" title="{{ marketplace.name }} Ayarları"   class="btn btn-default btnEdit" data-loading-text="<i class='fa fa-spinner fa-spin '></i>"> <i class="fa  fa-edit"></i></button>
                                                <button code="{{ marketplace.code }}" data-toggle="tooltip" title="{{ marketplace.name }} api bilgilerinizi girin"   class="btn btn-default btnPazar" data-loading-text="<i class='fa fa-spinner fa-spin '></i> ..." > <i class="fa fa-wrench"></i></button>
                                            </div>
                                            {% else %}

                                            <div code="{{ marketplace.code }}"  class="api_connect text-center btnPazar">
                                <i   class="fa fa-cog "></i> Hesabı Bağla
                                            </div>
                                            {% endif %}


                                        </div>
                                    </div>
                                </div>
                            </div>   {% endfor %}




                    </div></div>


    </div>

        <script>

            $(document).on('click','.btnKaydet',function (event) {
                var thisButton = $(this);



                var code=thisButton.attr('id');
                var name=thisButton.attr('id');
                var data=$("form").serialize();
                var error=false;

              //  thisButton.button('loading');


                if(!error) {

                    $.post('index.php?route=entegrasyon/setting/api_setting&code='+code+'&{{ token_link }}',data, function (json) {
                        thisButton.button('reset');
                        if (json['status']) {


                            Swal.fire({
                                title: 'Başarılı',
                                text: name+" Api bilgileriniz Doğrulandı, Ayarlar Sayfasına Dönmek İstermisiniz ?",
                                icon: 'success',
                                showCancelButton: true,
                                confirmButtonColor: '#3085d6',
                                cancelButtonColor: '#d33',
                                confirmButtonText: "Evet",
                                cancelButtonText: "Hayır!",
                            }).then((result) => {
                                if (result.value) {

                                    $('.btnVazgec').click();

                                }
                            });

                            //$('#diger').removeClass('hidden');
                        } else {

                            Swal.fire('Başarız',json['message'],'warning');



                        }

                    }, 'JSON')

                }

            })

        </script>

    <script>

        $(document).on('change','#shippingTime', function() {
            var secilen = this.value;

            if(secilen=='today'){
                $('.time').removeClass('hidden')
            }else {

                $('.time').addClass('hidden')

            }
        })

    </script>

    <script>
        $(document).on('change','#shipping_template',function () {



            if($(this).val()=='B'){

                $('#extra_shipping_price').removeClass('hidden')

            }else {

                $('#extra_shipping_price').addClass('hidden')

            }

        })
    </script>

    <script>

        $(document).on('click','.btnSave', function () {


            var error=false;
            var data =$('form').serializeArray();
            var thisButton = $(this);
            var code=thisButton.attr('id');
            thisButton.button('loading');

            if(!error) {

                $.post('index.php?route=entegrasyon/setting/default_setting&code='+code+'&{{ token_link }}', data, function (json) {
                    thisButton.button('reset');
                    if (json['status']) {


                        Swal.fire({
                            title: 'Başarılı',
                            text:  "Ayarlar Kaydedildi. Anasayfaya dönmek ister misiniz?",
                            icon: 'success',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: 'Evet!',
                            cancelButtonText: "Hayır!",

                        }).then((result) => {
                            if (result.value) {


                                $('.btnVazgec').click();

                            }
                        })


                    } else {

                        Swal.fire('Başarız',json['message'],'warning');


                    }

                }, 'JSON')

            }

        })



    </script>

  
    <script>

        $(document).on('click','.btnReset', function () {

            var thisButton=$(this);
            var code=thisButton.attr('id');
            //var name=thisButton.attr('name');

            Swal.fire({
                title: 'Dikkat!',
                text:  code+ "Api Bilgileriniz Silinecektir. Onaylıyormusunuz ?",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Onaylıyorum!',
                cancelButtonText: "Hayır!",

            }).then((result) => {
                if (result.value) {
                    thisButton.button('loading');

                    $.post('index.php?route=entegrasyon/setting/reset&code='+code+'&{{ token_link }}', {}, function (json) {
                        thisButton.button('reset');


                        Swal.fire({
                            title: 'Başarılı',
                            text: name+" Api bilgileriniz Silinmiştir, Ayarlar Sayfasına Dönmek İstermisiniz ?",
                            icon: 'info',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: 'Evet!',
                            cancelButtonText: "Hayır!",

                        }).then((result) => {
                            if (result.value) {


                                $('.btnVazgec').click();

                            }
                        })
                    }, 'JSON')
                }
            });


        })

    </script>




                <script>

                    $(document).on('click','.btnEdit',function (event) {

                        var $thisBtn=$(this);
                        // $thisBtn.button('loading');
                        var $code= $thisBtn.attr('code');




                        BootstrapDialog.show({
                            title:'Api Ayarları',
                            draggable: true,
                            size: BootstrapDialog.SIZE_WIDE,

                            message: function(dialog) {
                                var $message = $('<div></div>');
                                var pageToLoad = dialog.getData('pageToLoad');
                                $message.load(pageToLoad);
                                return $message;
                            },
                            data: {
                                'pageToLoad': 'index.php?route=entegrasyon/setting/default_setting&code='+$code+'&{{ token_link }}'
                            },buttons: [ {
                                id:$code,
                                label: 'Kaydet',
                                cssClass: 'btnSave btn-primary',
                                action: function(dialogItself){

                                }
                            },{
                                label: 'Kapat',
                                cssClass: ' btn-danger',
                                action: function(dialogItself){
                                    dialogItself.close();
                                }
                            }]
                        });


                    })

                </script>


    <script>

        $(document).on('click','.btnPazar',function (event) {

            var $thisBtn=$(this);
            // $thisBtn.button('loading');
            var $code= $thisBtn.attr('code');


            

            BootstrapDialog.show({
                title:'Api Ayarları',
                closable: false,
                draggable: true,
                message: function(dialog) {
                    var $message = $('<div></div>');
                    var pageToLoad = dialog.getData('pageToLoad');
                    $message.load(pageToLoad);
                    return $message;
                },
                data: {
                    'pageToLoad': 'index.php?route=entegrasyon/setting/api_setting&code='+$code+'&{{ token_link }}'
                },buttons: [ {
                    id:$code,
                    label: 'Kaydet',
                    cssClass: 'btnKaydet btn-primary',
                    action: function(dialogItself){

                    }
                },{
                    id:$code,
                    label: 'Sıfırla',
                    cssClass: 'btnReset btn-warning',
                    action: function(dialogItself){
                    }
                },{
                    label: 'Kapat',
                    cssClass: ' btn-danger',
                    action: function(dialogItself){
                        dialogItself.close();
                    }
                }]
            });


        })

    </script>

    <script>

        $(document).on('click','.btnDown',function (event) {


            var $thisBtn=$(this);
            $thisBtn.button('loading');
            var $code= $thisBtn.attr('code');

          /*  if($code=='hb' || $code=='eptt'){
                $thisBtn.button('reset');
                Swal.fire("Bilgi","Ne Yazıkki, Hepsiburada ve Eptt Mağazalarından Ürün aktarımı yapılamamaktadır!",'warning');
                return;
            }else{*/
                $.post('index.php?route=entegrasyon/market_product/check_products_marketplace&code='+$code+'&{{ token_link }}',function (json) {


                    if(json['status']) {
                        window.location.replace('index.php?route=entegrasyon/market_product&code='+$code+'&{{ token_link }}')
                    }else {
                        $thisBtn.button('reset');

                        Swal.fire({
                            title: 'Ürünleri indirebilmek İçin Senkronize Etmeniz Gerekmekte..',
                            showDenyButton: true,
                            icon: 'info',
                            confirmButtonText: 'Şimdi Senkronize Et',
                            denyButtonText: `Daha Sonra`,
                        }).then((result) => {
                            if (result.isConfirmed) {

                                BootstrapDialog.show({
                                    title:'Ürün Aktarma ve Eşitleme',
                                    closable: true,
                                    draggable: true,
                                    size: BootstrapDialog.SIZE_WIDE,
                                    message: function(dialog) {
                                        var $message = $('<div></div>');
                                        var pageToLoad = dialog.getData('pageToLoad');
                                        $message.load(pageToLoad);
                                        return $message;
                                    },
                                    data: {

                                        'pageToLoad': 'index.php?route=entegrasyon/sync/get_products_form&code='+$code+'&{{ token_link }}'
                                    }
                                });


                            } else if (result.isDenied) {

                                //Hayır derse sunu yap
                            }
                        })
                    }



                }, 'JSON');

           // }


        })

    </script>


    <script>

        $(document).on('click','.btnGetProducts',function (event) {

            var $thisBtn=$(this);
            // $thisBtn.button('loading');
            var $code= $thisBtn.attr('code');

            BootstrapDialog.show({
                title:'Ürün Aktarma ve Eşitleme',
                closable: true,
                draggable: true,
                size: BootstrapDialog.SIZE_WIDE,

                message: function(dialog) {
                    var $message = $('<div></div>');
                    var pageToLoad = dialog.getData('pageToLoad');
                    $message.load(pageToLoad);
                    return $message;
                },
                data: {

                    'pageToLoad': 'index.php?route=entegrasyon/sync/get_products_form&code='+$code+'&{{ token_link }}'
                }
            });


        })

    </script>




    {{ footer }}
